Page MenuHomePhabricator

Entities referenced in statements on forms do not show up on Special:WhatLinksHere
Closed, ResolvedPublic8 Story Points

Description

Problem:
Entities referenced in statements on the Lexeme level show the Lexeme as a link source on Special:WhatLinksHere. It does not yet work for statements in the Form part of the Lexeme. It should.

Example:
https://wikidata.beta.wmflabs.org/wiki/Special:WhatLinksHere/Lexeme:L1 does not show https://wikidata.beta.wmflabs.org/wiki/Lexeme:L12 even though it links to L1 in a statement on F1.

BDD
GIVEN I have a Lexeme with a Form
WHEN I add a statement to that Form
THEN the Lexeme shows up on the "What links here" for the referenced entities (the statement property, linked entities, and entities from qualifiers)

Acceptance criteria:

  • The Lexeme shows up on WhatLinksHere for the linked entity if it is used in a statement (main snak, qualifiers, references) or as the grammatical feature

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 4 2018, 12:59 PM
Jakob_WMDE updated the task description. (Show Details)Jul 4 2018, 1:09 PM

@matej_suchanek Maybe you are more in the know but I believe closing this as duplicate was not correct. This ticket (needs more love, sure) describes a lack of feature - the lexeme not showing up on the "What links here" page if a statement was used on a form of that lexeme - not the unclear beahvior - if lexeme or form should be linked on the "What links here" page - discussed in T195302. /cc @Jakob_WMDE Please verify intent

That WhatLinksHere magic word is becoming lethal :) Apparently, @Lydia_Pintscher's comment

Yeah let's stick to one link per Lexeme even if there are several usages and/or if they are in a Form. The equivalent would be a Wikipedia article with a link in a section.

sounds as if the task already counted forms in. But feel free to unmerge and make a dependency if you think you are right.

Jakob_WMDE reopened this task as Open.Jul 5 2018, 10:20 AM

@matej_suchanek: As @Pablo-WMDE said, this is indeed about a related feature that isn't part of T195302. We're currently working on making WhatLinksHere work with the lexeme's language, lexical category, and a lexeme's forms' grammatical features. Statements on lexemes already worked fine with WhatLinksHere through mechanisms built into Wikibase, however, yesterday we discovered that entities referenced in statements on forms do not show the lexeme (!) on their respective WhatLinksHere page. This is what this ticket is about :)

Jakob_WMDE updated the task description. (Show Details)Jul 5 2018, 10:22 AM
Jakob_WMDE set the point value for this task to 8.Jul 10 2018, 12:40 PM
KaMan added a subscriber: KaMan.Jul 11 2018, 10:15 AM
KaMan added a comment.Jul 19 2018, 9:38 AM

Will it need extra poking lexemes or is this already handled by https://phabricator.wikimedia.org/T198301

@KaMan It will be handled by T198301. Thanks for watching out! :)

Change 452392 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add tests for form and sense statements in Special:WhatLinksHere

https://gerrit.wikimedia.org/r/452392

Change 452392 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add tests for form and sense statements in Special:WhatLinksHere

https://gerrit.wikimedia.org/r/452392